Bug 590607 - hostapd-0.6.10 is available
hostapd-0.6.10 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hostapd (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 590789
  Show dependency treegraph
 
Reported: 2010-05-10 06:09 EDT by Upstream Release Monitoring
Modified: 2010-05-10 13:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 590789 (view as bug list)
Environment:
Last Closed: 2010-05-10 13:47:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2010-05-10 06:09:43 EDT
Latest upstream release: 0.6.10
Current version in Fedora Rawhide: 0.6.9
URL: http://w1.fi/hostapd/

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring
Comment 1 acount closed by user 2010-05-10 06:40:02 EDT
changelog: 2010-01-12 - v0.6.10

	* fixed SHA-256 based key derivation function to match with the
	  standard when using CCMP (for IEEE 802.11r and IEEE 802.11w)
	  (note: this breaks interoperability with previous version) [Bug 307]
	* fixed WPS selected registrar expiration for internal PIN registrar
	* disable PMTU discovery for RADIUS packets
	* fixed WPS UPnP SSDP on 32-bit targets
	* fixed WPS AP reconfiguration with drivers that do not use hostapd
	  MLME
	* fixed RSN parameter setting for multi-BSS case
	* added WPS workarounds for known interoperability issues with broken,
	  deployed implementation
	* update IEEE 802.11w implementation to match with the published
	  standard
	* fixed OpCode when proxying WSC_ACK or WSC_NACK from WPS ER
	* fixed proxying of WSC_NACK to WPS ER
	* fixed compilation with newer GnuTLS versions
	* added support for defining timeout for WPS PINs
	* fixed WPS Probe Request processing to handle missing required
	  attribute
	* fixed PKCS#12 use with OpenSSL 1.0.0

Note You need to log in before you can comment on or make changes to this bug.